Package org.eclipse.rdf4j.repository.contextaware.config

## Class ContextAwareSchema

- java.lang.Object
- - org.eclipse.rdf4j.repository.contextaware.config.ContextAwareSchema

-     public class ContextAwareSchema
      extends Object

  Author:
    James Leigh

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static IRI` | `ADD_CONTEXT` | Deprecated.
    `static IRI` | `ARCHIVE_CONTEXT` | Deprecated.
    `static IRI` | `BASE_URI` | http://www.openrdf.org/config/repository/contextaware#base
    `static IRI` | `INCLUDE_INFERRED` | http://www.openrdf.org/config/repository/contextaware#includeInferred
    `static IRI` | `INSERT_CONTEXT` | http://www.openrdf.org/config/repository/contextaware#insertContext
    `static IRI` | `MAX_QUERY_TIME` | http://www.openrdf.org/config/repository/contextaware#maxQueryTime
    `static String` | `NAMESPACE` | The ContextAwareRepository schema namespace ( http://www.openrdf.org/config/repository/contextaware#).
    `static IRI` | `QUERY_LANGUAGE` | http://www.openrdf.org/config/repository/contextaware#queryLanguage
    `static IRI` | `READ_CONTEXT` | http://www.openrdf.org/config/repository/contextaware#readContext
    `static IRI` | `REMOVE_CONTEXT` | http://www.openrdf.org/config/repository/contextaware#removeContext

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ContextAwareSchema()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAMESPACE

          public static final String NAMESPACE

      The ContextAwareRepository schema namespace ( http://www.openrdf.org/config/repository/contextaware#).
      See Also:
        Constant Field Values

    - #### INCLUDE_INFERRED

          public static final IRI INCLUDE_INFERRED

      http://www.openrdf.org/config/repository/contextaware#includeInferred

    - #### MAX_QUERY_TIME

          public static final IRI MAX_QUERY_TIME

      http://www.openrdf.org/config/repository/contextaware#maxQueryTime

    - #### QUERY_LANGUAGE

          public static final IRI QUERY_LANGUAGE

      http://www.openrdf.org/config/repository/contextaware#queryLanguage

    - #### BASE_URI

          public static final IRI BASE_URI

      http://www.openrdf.org/config/repository/contextaware#base

    - #### READ_CONTEXT

          public static final IRI READ_CONTEXT

      http://www.openrdf.org/config/repository/contextaware#readContext

    - #### ADD_CONTEXT

          @Deprecated
          public static final IRI ADD_CONTEXT

      Deprecated.
      http://www.openrdf.org/config/repository/contextaware#addContext

    - #### REMOVE_CONTEXT

          public static final IRI REMOVE_CONTEXT

      http://www.openrdf.org/config/repository/contextaware#removeContext

    - #### ARCHIVE_CONTEXT

          @Deprecated
          public static final IRI ARCHIVE_CONTEXT

      Deprecated.
      http://www.openrdf.org/config/repository/contextaware#archiveContext

    - #### INSERT_CONTEXT

          public static final IRI INSERT_CONTEXT

      http://www.openrdf.org/config/repository/contextaware#insertContext

  - ### Constructor Detail

    - #### ContextAwareSchema

          public ContextAwareSchema()